This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 879869 - patch to fix mic-e packet editing bug
patch to fix mic-e packet editing bug
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: aprsd (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-24 18:27 EST by Alan Crosswell
Modified: 2015-07-15 10:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:35:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix mic-e encoding bug (1.45 KB, application/octet-stream)
2012-11-24 18:27 EST, Alan Crosswell
no flags Details
revised SPEC that applies the patch (4.25 KB, text/plain)
2012-11-24 18:28 EST, Alan Crosswell
no flags Details
patch to fix mic-e encoding bug (1.49 KB, patch)
2012-12-28 14:19 EST, Alan Crosswell
no flags Details | Diff
revised SPEC that applies the patch (4.38 KB, text/plain)
2012-12-28 14:19 EST, Alan Crosswell
no flags Details
consolidated mic-e and extra trailing blanks patch (2.68 KB, patch)
2013-05-10 23:22 EDT, Alan Crosswell
no flags Details | Diff
updated SPEC (4.91 KB, text/plain)
2013-05-10 23:23 EDT, Alan Crosswell
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 242497 None None None Never

  None (edit)
Description Alan Crosswell 2012-11-24 18:27:46 EST
Created attachment 651312 [details]
patch to fix mic-e encoding bug

Description of problem:
aprsd has had a long-standing mic-e packet "clean-up" bug that incorrectly edits a received packet that is gateway to APRS-IS.

Version-Release number of selected component (if applicable):
2.2.5-15

How reproducible:
Transmit packets with a mic-e protocol device (e.g. Mic Encoder, Kenwood D700, etc.) and notice that valid non-printing characters (e.g. 0x1c) are being blanked.

Steps to Reproduce:
1. Transmit mic-e packets
2. Look at data transmitted to APRS-IS servers (see aprs.fi)
3. Notice aprsd-repeated packets don't match those of other correct APRS-IS servers.
  
Actual results:

2012-11-19 17:50:49 UTC: N2MH-8>T0TW5V,WB2ZII*,WIDE2,qAR,WB2ZII-15:'f+%l  o1]= 

Expected results:
2012-11-19 18:00:48 UTC: N2MH-8>T0TW5V,WIDE2-1,qAR,N2MH-12:'f+%l <0x1c>o1]=

Additional info:
This bug has been in aprsd forever but only manifests in a limited number of cases as the test was for isprint, which excludes the four or so non-printable characters that are allowed by the APRS spec.  See ftp://ftp.tapr.org/aprssig/aprsspec/spec/aprs101/APRS101.pdf Chapter 10.
Comment 1 Alan Crosswell 2012-11-24 18:28:34 EST
Created attachment 651313 [details]
revised SPEC that applies the patch
Comment 2 Alan Crosswell 2012-12-28 14:19:11 EST
Created attachment 669945 [details]
patch to fix mic-e encoding bug
Comment 3 Alan Crosswell 2012-12-28 14:19:55 EST
Created attachment 669946 [details]
revised SPEC that applies the patch
Comment 4 Alan Crosswell 2012-12-28 14:21:16 EST
Further revised the patch based on feedback from N2MH.
Comment 5 Alan Crosswell 2013-05-10 23:22:45 EDT
Created attachment 746459 [details]
consolidated mic-e and extra trailing blanks patch

This patch hopefully fully fixes aprsd to no longer blank out valid mic-e unprintable characters *and* stop tacking on an extra \r on every packet (which are then replaced by blank by the next aprsd in the chain).
Comment 6 Alan Crosswell 2013-05-10 23:23:25 EDT
Created attachment 746460 [details]
updated SPEC
Comment 7 Alan Crosswell 2013-05-10 23:25:50 EDT
There was an additional bug that was resulting in extra \r's getting tacked on to every packet, which are then getting replaced by a growing string of trailing blanks as each \r was replaced by blank in the next aprsd in the APRS-IS chain.

This (hopefully final) patch consolidates my Mic-E and extra-CR fixes into one patch.
Comment 8 Fedora End Of Life 2013-07-03 17:28:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 18:35:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Jan Kurik 2015-07-15 10:56:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.